> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Copy Document

> Copy Document



## OpenAPI

````yaml /openapi/openapi_content.json put /content/documentlists/{documentListName}/documents/copy
openapi: 3.0.1
info:
  description: |-
    <div id="overview_CONTENT">
                <h2>CONTENT</h2>
                <p>The Content APIs allow you to organize your site content into a hierarchy of folders and documents, as
                    well as control the publishing of your content to the live site with publish sets that group pending
                    changes together to publish at the same time. For more information about managing site content and the associated UI,
                    see the <a href="/pages/site-builder">Site Builder</a> and <a href="/pages/publishing">Publishing</a> user guides.</p>
                <p>Use the <strong>Document Lists</strong> and <strong>Document List Types</strong> resources to organize your site's documents into a hierarchy. Document lists can
                    contain documents, folders, and complete hierarchies of folders, which contain documents with unique
                    names. The type denotes a content type for that list of folders, sub-folders, and documents such as
                    `web_pages`.</p>
                <p>Use the <strong>Document Types</strong> and <strong>Document Property Types</strong> resources to manage the document and property types supported by the Content API.</p>
                <p>Use the <strong>Document Publishing</strong> resource to manage and publish document drafts. The 
                    related <strong>Document Publish Set</strong> resource manages publish sets and the pending content drafts.</p>
            </div>
  title: Content
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /content/documentlists/{documentListName}/documents/copy:
    put:
      tags:
        - Documents
      summary: Copy Document
      description: Copy Document
      parameters:
        - description: DocumentListName name where the documents reside
          in: path
          name: documentListName
          required: true
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DocumentCopyRequest'
          application/octet-stream:
            schema:
              $ref: '#/components/schemas/DocumentCopyRequest'
          text/plain:
            schema:
              $ref: '#/components/schemas/DocumentCopyRequest'
        description: Request containing Document Ids to copy and the destination path
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocumentCopyResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/DocumentCopyResponse'
            text/plain:
              schema:
                $ref: '#/components/schemas/DocumentCopyResponse'
          description: Success
components:
  schemas:
    DocumentCopyRequest:
      properties:
        destinationPath:
          description: The destination path to copy documents to
          nullable: true
          type: string
        documentIds:
          description: Document Id's to copy
          items:
            type: string
          nullable: true
          type: array
        updatedBy:
          nullable: true
          type: string
      type: object
    DocumentCopyResponse:
      properties:
        messages:
          items:
            $ref: '#/components/schemas/DocumentCopyMessage'
          nullable: true
          type: array
        numberFilesCopied:
          format: int32
          type: integer
        numberFilesErrored:
          format: int32
          type: integer
      type: object
    DocumentCopyMessage:
      properties:
        documentId:
          nullable: true
          type: string
        documentName:
          nullable: true
          type: string
        documentPublishSetCode:
          nullable: true
          type: string
        message:
          nullable: true
          type: string
        originalDocumentId:
          nullable: true
          type: string
        success:
          type: boolean
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````